curl --request PATCH \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Favorite Color",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"status": "visible",
"notify_all_members": true,
"primary": true
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/"
payload = {
"title": "Favorite Color",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"status": "visible",
"notify_all_members": True,
"primary": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Favorite Color',
description: 'Select your favorite color',
placeholder: 'Enter your answer here',
status: 'visible',
notify_all_members: true,
primary: true
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Favorite Color',
'description' => 'Select your favorite color',
'placeholder' => 'Enter your answer here',
'status' => 'visible',
'notify_all_members' => true,
'primary' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/"
payload := strings.NewReader("{\n \"title\": \"Favorite Color\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"status\": \"visible\",\n \"notify_all_members\": true,\n \"primary\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Favorite Color\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"status\": \"visible\",\n \"notify_all_members\": true,\n \"primary\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Favorite Color\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"status\": \"visible\",\n \"notify_all_members\": true,\n \"primary\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-10-23T02:19:13Z",
"updated_at": "2026-10-23T02:19:13Z",
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"location_granularity": "city"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Update a profile field
curl --request PATCH \
--url https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Favorite Color",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"status": "visible",
"notify_all_members": true,
"primary": true
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/"
payload = {
"title": "Favorite Color",
"description": "Select your favorite color",
"placeholder": "Enter your answer here",
"status": "visible",
"notify_all_members": True,
"primary": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Favorite Color',
description: 'Select your favorite color',
placeholder: 'Enter your answer here',
status: 'visible',
notify_all_members: true,
primary: true
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Favorite Color',
'description' => 'Select your favorite color',
'placeholder' => 'Enter your answer here',
'status' => 'visible',
'notify_all_members' => true,
'primary' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/"
payload := strings.NewReader("{\n \"title\": \"Favorite Color\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"status\": \"visible\",\n \"notify_all_members\": true,\n \"primary\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Favorite Color\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"status\": \"visible\",\n \"notify_all_members\": true,\n \"primary\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/custom_fields/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Favorite Color\",\n \"description\": \"Select your favorite color\",\n \"placeholder\": \"Enter your answer here\",\n \"status\": \"visible\",\n \"notify_all_members\": true,\n \"primary\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-10-23T02:19:13Z",
"updated_at": "2026-10-23T02:19:13Z",
"title": "Favorite Color",
"response_type": "dropdown_single_select",
"location_granularity": "city"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the profile field
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
Submit results as JSON
Request body for updating a profile field
The title of the profile field
"Favorite Color"
Description of the profile field
"Select your favorite color"
Placeholder text for the profile field input
"Enter your answer here"
Status of the profile field (visible, hidden, billing_disabled)
"visible"
Whether to notify all members when making the profile field visible
Whether this is the primary profile field
Response
The updated profile field object
Profile Fields are configurable fields that can be added to capture additional member information
The record's integer ID
"1234"
The date and time the record was created
"2026-10-23T02:19:13Z"
The date and time the record was last modified
"2026-10-23T02:19:13Z"
The title of the profile field
"Favorite Color"
The type of response this profile field accepts
"dropdown_single_select"
The level members pick a place at (for location profile fields)
"city"